ClientServerTestCase.CacheServerCacheLoader (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache30

## Class ClientServerTestCase.CacheServerCacheLoader

- java.lang.Object
- - org.apache.geode.cache30.TestCacheCallback
  - - org.apache.geode.cache30.TestCacheLoader
    - - org.apache.geode.cache30.ClientServerTestCase.CacheServerCacheLoader

- All Implemented Interfaces:
    CacheCallback, CacheLoader, Declarable
  Enclosing class:
    ClientServerTestCase

      public static class ClientServerTestCase.CacheServerCacheLoader
      extends TestCacheLoader
      implements Declarable

- - ### Field Summary

    - ### Fields inherited from class org.apache.geode.cache30.TestCacheCallback

      `callbackError`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheServerCacheLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(java.util.Properties props)` Initializes a user-defined object using the given properties.
    `java.lang.Object` | `load2(LoaderHelper helper)`

    - ### Methods inherited from class org.apache.geode.cache30.TestCacheLoader

      `load`

    - ### Methods inherited from class org.apache.geode.cache30.TestCacheCallback

      `close, close2, isClosed, waitForInvocation, waitForInvocation, wasInvoked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

    - ### Methods inherited from interface org.apache.geode.cache.CacheCallback

      `close`

- - ### Constructor Detail

    - #### CacheServerCacheLoader

          public CacheServerCacheLoader()

  - ### Method Detail

    - #### load2

          public java.lang.Object load2(LoaderHelper helper)

      Specified by:
        `load2` in class `TestCacheLoader`

    - #### init

          public void init(java.util.Properties props)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `props` - Contains the parameters declared in the declarative xml file.